Module java.desktop
Package javax.swing.text.html

## Class HTMLDocument.HTMLReader.SpecialAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
  - - javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction

Direct Known Subclasses:
  HTMLDocument.HTMLReader.FormAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.SpecialAction
    extends HTMLDocument.HTMLReader.TagAction

Action assigned by default to handle the Special task of the reader.

### Constructor Summary

Constructors
Constructor and Description
`SpecialAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

### Methods inherited from class javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

`end`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpecialAction

    public SpecialAction()

### Method Detail

#### start

    public void start(HTML.Tag t,
                      MutableAttributeSet a)

Description copied from class: `HTMLDocument.HTMLReader.TagAction`
Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overrides:
  `start` in class `HTMLDocument.HTMLReader.TagAction`
Parameters:
  `t` - the HTML tag
  `a` - the attributes